- Qt 6.8
- Qt Wayland Compositor
- QML Types
- QtWayland.Compositor.IviApplication
- IviSurface
- Qt Wayland Compositor | Commercial or GPLv3

# IviSurface QML Type

Provides a simple way to identify and resize a surface. More...

Import Statement: | `import QtWayland.Compositor.IviApplication`
In C++: | QWaylandIviSurface

- List of all members, including inherited members

## Properties

- iviId : int
- surface : WaylandSurface

## Methods

- void initialize(IviApplication iviApplication, WaylandSurface surface, int iviId, WaylandResource resource)
- int sendConfigure(size size)

## Detailed Description

This type is part of the IviApplication extension and provides a way to extend the functionality of an existing WaylandSurface with a way to resize and identify it.

It corresponds to the Wayland `ivi_surface` interface.

## Property Documentation

iviId : int `[read-only]`

This property holds the ivi id id of this IviSurface.

surface : WaylandSurface `[read-only]`

This property holds the surface associated with this IviSurface.

## Method Documentation

void initialize(IviApplication iviApplication, WaylandSurface surface, int iviId, WaylandResource resource)

Initializes the IviSurface, associating it with the given iviApplication, surface, iviId, and resource.

int sendConfigure(size size)

Sends a configure event to the client, telling it to resize the surface to the given size.